Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pdq.consumer
Class PdqConsumerResponse

    java.lang.Object
      org.eclipse.ohf.hl7v2.core.utilities.Worker
          org.eclipse.ohf.hl7v2.core.message.model.Node
              org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
                  org.eclipse.ohf.hl7v2.core.message.model.Message
                      org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
                          org.eclipse.ohf.ihe.pdq.consumer.PdqConsumerResponse

All Implemented Interfaces:
  HL7_Constants

    public class PdqConsumerResponse

extends PixPdqMessage

RSP^K22 Patient Demographics Response

IHE HL7 Segments: MSH,MSA,[ERR],QAK,QPD,{[PID],[PD1],[QRI]},[DSC]
IHE HL7 Standard: HL7 2.5

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`MODE_TYPE_SEGMENT, NODE_TYPE_COMPONENT, NODE_TYPE_FIELD, NODE_TYPE_LIST, NODE_TYPE_MESSAGE, NODE_TYPE_SUBCOMPONENT`

Fields inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`hecAccepted, hecApplicationError, hecBadField, hecBadMessage, hecBadSegCode, hecConformance, hecDataTypeError, hecDefinitionError, hecDuplicateKey, hecDuplicateMsgId, hecHL7LibraryError, hecInternalError, hecNoDefinitions, hecNoTableValue, hecRecordLocked, hecRequiredField, hecRequiredSeg, hecSequenceError, hecSuperfluousSeg, hecUnknownKey, hecUnsEvntCode, hecUnsMsgType, hecUnsProcID, hecUnsVersion, hecValidationFailed, hecXML`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PdqConsumerResponse(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory)` Constructs a PDQ consumer response message object.

Method Summary
`java.lang.String` | `getContinuationPointer()` DSC-1 Continuation Pointer This field contains the continuation pointer.
`java.lang.String` | `getContinuationStyle(boolean expandString)` DSC-2 Continuation Style Indicates whether this is a fragmented message, or if it is part of an interactive continuation message.
`java.lang.String` | `getControlId()` MSA-2 Message Control ID This field contains the message control ID of the message sent by the sending system.
`java.lang.String[]` | `getErrorCode(int segmentIndex)` ERR-3 HL7 Error Code Identifies the HL7 (communications) error code.
`int` | `getErrorCountbyRepeat()` The number of errors found in the query response using repeats.
`int` | `getErrorCountbySegment()` The number of errors found in the query response using segments.
`java.lang.String[]` | `getErrorLocation(int segmentIndex, int repeatIndex)` ERR-2 Error Location Identifies the location in a message related to the identified error, warning or message.
`java.lang.String` | `getErrorSeverity(int segmentIndex, boolean expandString)` ERR-4 Error Severity Identifies the severity of an application error.
`java.lang.String[]` | `getPatientAddress(int patientIndex, int patientAddressIndex)` PID-11 Patient Address This field contains the mailing addresses of the patient.
`java.lang.String` | `getPatientAddressCensusTract(int patientIndex, int patientAddressIndex)` PID-11-10 Patient Address - Census Tract
`java.lang.String` | `getPatientAddressCity(int patientIndex, int patientAddressIndex)` PID-11-3 Patient Address - City
`int` | `getPatientAddressCount(int patientIndex)` PID-11 Patient Address The number of patient addresses returned in the query response.
`java.lang.String` | `getPatientAddressCountry(int patientIndex, int patientAddressIndex)` PID-11-6 Patient Address - Country
`java.lang.String` | `getPatientAddressCountyParishCode(int patientIndex, int patientAddressIndex)` PID-11-9 Patient Address - County Parish Code
`java.lang.String` | `getPatientAddressOtherDesignation(int patientIndex, int patientAddressIndex)` PID-11-2 Patient Address - Other Designation
`java.lang.String` | `getPatientAddressOtherGeographicDesignation(int patientIndex, int patientAddressIndex)` PID-11-8 Patient Address - Other Geographic Designation
`java.lang.String` | `getPatientAddressStateOrProvince(int patientIndex, int patientAddressIndex)` PID-11-4 Patient Address - State or Province
`java.lang.String` | `getPatientAddressStreetAddress(int patientIndex, int patientAddressIndex)` PID-11-1-1 Patient Address - Street Address
`java.lang.String` | `getPatientAddressType(int patientIndex, int patientAddressIndex)` PID-11-7 Patient Address - Address Type
`java.lang.String` | `getPatientAddressZipOrPostalCode(int patientIndex, int patientAddressIndex)` PID-11-5 Patient Address - Zip or Postal Code
`int` | `getPatientCount()` The number of unique patients returned in the query response.
`java.lang.String` | `getPatientDateOfBirth(int patientIndex)` PID-7 Date/Time of Birth This field contains the patient’s date and time of birth.
`java.lang.String[]` | `getPatientIdentifier(int patientIndex, int identifierIndex)` PID-3 Patient ID (internal) This field contains the list of identifiers (one or more) used by the healthcare facility to uniquely identify a patient (e.g., medical record number, billing number, birth registry, national unique individual identifier, etc).
`int` | `getPatientIdentifierCount(int patientIndex)` PID-3 Patient ID (internal) For a given patient, the number of IDs returned in the query response.
`java.lang.String[]` | `getPatientName(int patientIndex, int patientNameIndex)` PID-5-1 Patient Name This field contains the names of the patient, the primary or legal name of the patient is reported first.
`int` | `getPatientNameCount(int patientIndex)` PID-5-1 Patient Name The number of patient names found for a patient in the query response.
`java.lang.String` | `getPatientNameDegree(int patientIndex, int patientNameIndex)` PID-5-6 Patient Name - Degree
`java.lang.String` | `getPatientNameFamilyName(int patientIndex, int patientNameIndex)` PID-5-1 Patient Name - Family Name
`java.lang.String` | `getPatientNameGivenName(int patientIndex, int patientNameIndex)` PID-5-2 Patient Name - Given Name
`java.lang.String` | `getPatientNameOtherName(int patientIndex, int patientNameIndex)` PID-5-3 Patient Name - Other Name
`java.lang.String` | `getPatientNamePrefix(int patientIndex, int patientNameIndex)` PID-5-5 Patient Name - Prefix
`java.lang.String` | `getPatientNameSuffix(int patientIndex, int patientNameIndex)` PID-5-4 Patient Name - Suffix
`int` | `getPatientPhoneBusinessCount(int patientIndex)` PID-14 Business Phone The number of business phone numbers returned in the query response.
`java.lang.String` | `getPatientPhoneBusinessUnformattedTelephoneNumber(int patientIndex, int phoneIndex)` PID-14-1 Business Phone This field contains the patient’s business telephone numbers.
`int` | `getPatientPhoneHomeCount(int patientIndex)` PID-13 Home Phone The number of home phone numbers returned in the query response.
`java.lang.String` | `getPatientPhoneHomeUnformattedTelephoneNumber(int patientIndex, int phoneIndex)` PID-13-1 Home Phone This field contains the patient’s personal phone numbers.
`java.lang.String` | `getPatientSex(int patientIndex, boolean expandString)` PID-8 Administrative Sex This field contains the patient’s sex.
`java.lang.String[]` | `getQueryName()` QPD-1 Query Name This field contains the name of the query.
`java.lang.String` | `getQueryStatus(boolean expandString)` QAK-2 Query Response Status This field may be valued by the initiating system to identify the query, and may be used to match response messages to the originating query.
`java.lang.String` | `getQueryTag()` QPD-2 Query Tag This field may be valued by the initiating system to identify the query, and may be used to match response messages to the originating query.
`java.lang.String` | `getResponseAckCode(boolean expandString)` MSA-1 Acknowledgement Code This field contains an acknowledgment code, see message processing rules.
`boolean` | `hasError()` Response contains 1 or more error segments.
`void` | `init()` Initialize segment information within message after load finished.

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.message.PixPdqMessage
`changeDefaultCharacterSet, changeDefaultControlId, changeDefaultProcessEnvironment, changeDefaultReceivingApplication, changeDefaultRecievingFacility, changeDefaultSendingApplication, changeDefaultSendingFacility, getCharacterSet, getMessageControlID, getProcessEnvironment, getReceivingApplication, getReceivingFacility, getSendingApplication, getSendingFacility, setField, setNonNullElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Message
`addMSHFromFields, addMSHFromFields, bindToMSH, clear, clearContent, elementName, equals, forceElement, getDefaultFormat, getDelimiters, getElement, getEvent, getMessageId, getMessageType, getSegments, getStructId, getStructure, hasStructId, resolveVariableTypes, setDefaultFormat, setDelimiters, setEvent, setMessageId, setMessageType, setStructId, testIsElement`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.ModelProvider
`getDefinitions, getVersion, getVersionDefinition, setDefinitions, setVersion`

Methods inherited from class org.eclipse.ohf.hl7v2.core.message.model.Node
`getOwner, hasOwner, isElement, setOwner`

Methods inherited from class org.eclipse.ohf.hl7v2.core.utilities.Worker
`condition`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdqConsumerResponse

    public PdqConsumerResponse(org.eclipse.ohf.hl7v2.core.message.MessageManager globalFactory)
                        throws PdqConsumerException

  Constructs a PDQ consumer response message object.

  Parameters:
    `globalFactory` - - MessageManager
  Throws:
    `PqqConsumerException`
    `PdqConsumerException`

Method Detail

### init

    public void init()

  Initialize segment information within message after load finished.

### hasError

    public boolean hasError()

  Response contains 1 or more error segments.

  Returns:
    hasERR

### getResponseAckCode

    public java.lang.String getResponseAckCode(boolean expandString)
                                        throws PdqConsumerException

  MSA-1 Acknowledgement Code This field contains an acknowledgment code, see message processing rules. AA Original mode: Application Accept Enhanced mode: Application acknowledgment: Accept AE Original mode: Application Error Enhanced mode: Application acknowledgment: Error AR Original mode: Application Reject Enhanced mode: Application acknowledgment: Reject CA Enhanced mode: Accept acknowledgment: Commit Accept CE Enhanced mode: Accept acknowledgment: Commit Error CR Enhanced mode: Accept acknowledgment: Commit Reject

  Parameters:
    `expandString` -
  Returns:
    Acknowledgement Code (ID)
  Throws:
    `PdqConsumerException`

### getControlId

    public java.lang.String getControlId()
                                  throws PdqConsumerException

  MSA-2 Message Control ID This field contains the message control ID of the message sent by the sending system. It allows the sending system to associate this response with the message for which it is intended.

  Returns:
    ControlID (ST)
  Throws:
    `PdqConsumerException`

### getErrorCountbySegment

    public int getErrorCountbySegment()

  The number of errors found in the query response using segments.

  Returns:
    count

### getErrorCountbyRepeat

    public int getErrorCountbyRepeat()

  The number of errors found in the query response using repeats.

  Returns:
    count

### getErrorLocation

    public java.lang.String[] getErrorLocation(int segmentIndex,
                                               int repeatIndex)
                                        throws PdqConsumerException

  ERR-2 Error Location Identifies the location in a message related to the identified error, warning or message. If multiple repetitions are present, the error results from the values in a combination of places.

  Parameters:
    `segmentIndex` - - the segment to use (0 to PdqConsumerResponse.getErrorCountBySegment()-1) use 0 for primary if multiple errors reported with repeats rather than different segments
    `repeatIndex` - - the repetition to return (0 to PdqConsumerResponse.getErrorCountByRepeat()-1) use 0 for primary if multiple errors reported in different segments rather than by repeat
  Returns:
    Error Location (ERL) 6 components* String[0] - SegmentID String[1] - SegmentSequence String[2] - FieldPosition String[3] - FieldRepetition String[4] - ComponentNumber String[5] - SubComponentNumber *supports repetitions
  Throws:
    `PdqConsumerException`

### getErrorCode

    public java.lang.String[] getErrorCode(int segmentIndex)
                                    throws PdqConsumerException

  ERR-3 HL7 Error Code Identifies the HL7 (communications) error code.

  Parameters:
    `segmentIndex` - - the segment to use (0 to PdqConsumerResponse.getErrorCountBySegment()-1) use 0 for primary if multiple errors reported with repeats rather than different segments
  Returns:
    Error Code (CWE) 7 components String[0] - Identifier String[1] - Text String[2] - NameOfCodingSystem String[3] - AlternateIdentifier String[4] - CodingSystemVersionID String[5] - AlternateCodingSystemVersionID String[6] - OriginalText
  Throws:
    `PdqConsumerException`

### getErrorSeverity

    public java.lang.String getErrorSeverity(int segmentIndex,
                                             boolean expandString)
                                      throws PdqConsumerException

  ERR-4 Error Severity Identifies the severity of an application error. Knowing if something is Error, Warning or Information is intrinsic to how an application handles the content. W warning I information E error

  Parameters:
    `segmentIndex` - - the segment to use (0 to PdqConsumerResponse.getErrorCountBySegment()-1) use 0 for primary if multiple errors reported with repeats rather than different segments
    `expandString` - - true = show title, false = show code
  Returns:
    Error Severity (ID)
  Throws:
    `PdqConsumerException`

### getQueryStatus

    public java.lang.String getQueryStatus(boolean expandString)
                                    throws PdqConsumerException

  QAK-2 Query Response Status This field may be valued by the initiating system to identify the query, and may be used to match response messages to the originating query. HL7 Table 0208 - Query Response Status (v2.5) Value Description OK Data found, no errors (this is the default) NF No data found, no errors AE Application error AR Application reject

  Parameters:
    `expandString` -
  Returns:
    Query Status (ID)
  Throws:
    `PdqConsumerException`

### getQueryName

    public java.lang.String[] getQueryName()
                                    throws PdqConsumerException

  QPD-1 Query Name This field contains the name of the query.

  Returns:
    Query Name (CE) 6 components String[0] - Identifier String[1] - Text String[2] - NameOfCodingSystem String[3] - AlternateIdentifier String[4] - AlternateText String[5] - AlternateCodingSystem
  Throws:
    `PdqConsumerException`

### getQueryTag

    public java.lang.String getQueryTag()
                                 throws PdqConsumerException

  QPD-2 Query Tag This field may be valued by the initiating system to identify the query, and may be used to match response messages to the originating query.

  Returns:
    query tag from message
  Throws:
    `PdqConsumerException`

### getPatientCount

    public int getPatientCount()

  The number of unique patients returned in the query response.

  Returns:
    count

### getPatientIdentifierCount

    public int getPatientIdentifierCount(int patientIndex)

  PID-3 Patient ID (internal) For a given patient, the number of IDs returned in the query response.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    count of IDs for a patient
  Throws:
    `PdqConsumerException`

### getPatientIdentifier

    public java.lang.String[] getPatientIdentifier(int patientIndex,
                                                   int identifierIndex)
                                            throws PdqConsumerException

  PID-3 Patient ID (internal) This field contains the list of identifiers (one or more) used by the healthcare facility to uniquely identify a patient (e.g., medical record number, billing number, birth registry, national unique individual identifier, etc).

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `identifierIndex` - - the ID to return (0 to PdqConsumerResponse.getPatientIdentifierCount()-1)
  Returns:
    Patient Identifier (CX) reduced to 2 components & subcomponents String[0] - Identifier String[1] - AssigningAuthority namespaceId String[2] - AssigningAuthority universalId String[3] - assigningAuthority universalIdType
  Throws:
    `PdqConsumerException`

### getPatientNameCount

    public int getPatientNameCount(int patientIndex)

  PID-5-1 Patient Name The number of patient names found for a patient in the query response.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    count of names for 1 patient
  Throws:
    `PdqConsumerException`

### getPatientName

    public java.lang.String[] getPatientName(int patientIndex,
                                             int patientNameIndex)
                                      throws PdqConsumerException

  PID-5-1 Patient Name This field contains the names of the patient, the primary or legal name of the patient is reported first.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Patient Name (XPN) reduced to 6 components String[0] - FamilyName String[1] - GivenName String[2] - MiddleName String[3] - Suffix String[4] - Prefix String[5] - Degree
  Throws:
    `PdqConsumerException`

### getPatientNameFamilyName

    public java.lang.String getPatientNameFamilyName(int patientIndex,
                                                     int patientNameIndex)
                                              throws PdqConsumerException

  PID-5-1 Patient Name - Family Name

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Patient Name Family Name (FN)
  Throws:
    `PdqConsumerException`

### getPatientNameGivenName

    public java.lang.String getPatientNameGivenName(int patientIndex,
                                                    int patientNameIndex)
                                             throws PdqConsumerException

  PID-5-2 Patient Name - Given Name

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Patient Name Given Name (ST)
  Throws:
    `PdqConsumerException`

### getPatientNameOtherName

    public java.lang.String getPatientNameOtherName(int patientIndex,
                                                    int patientNameIndex)
                                             throws PdqConsumerException

  PID-5-3 Patient Name - Other Name

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Patient Name Second and Further Names (ST)
  Throws:
    `PdqConsumerException`

### getPatientNameSuffix

    public java.lang.String getPatientNameSuffix(int patientIndex,
                                                 int patientNameIndex)
                                          throws PdqConsumerException

  PID-5-4 Patient Name - Suffix

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Suffix (ST)
  Throws:
    `PdqConsumerException`

### getPatientNamePrefix

    public java.lang.String getPatientNamePrefix(int patientIndex,
                                                 int patientNameIndex)
                                          throws PdqConsumerException

  PID-5-5 Patient Name - Prefix

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Prefix (ST)
  Throws:
    `PdqConsumerException`

### getPatientNameDegree

    public java.lang.String getPatientNameDegree(int patientIndex,
                                                 int patientNameIndex)
                                          throws PdqConsumerException

  PID-5-6 Patient Name - Degree

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientNameIndex` - - the name to return (0 to PdqConsumerResponse.getPatientNameCount()-1) the primary or legal name of the patient is reported first
  Returns:
    Degree (IS)
  Throws:
    `PdqConsumerException`

### getPatientDateOfBirth

    public java.lang.String getPatientDateOfBirth(int patientIndex)
                                           throws PdqConsumerException

  PID-7 Date/Time of Birth This field contains the patient’s date and time of birth.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    Date/Time Birth (TS) reduced to 1 component
  Throws:
    `PdqConsumerException`

### getPatientSex

    public java.lang.String getPatientSex(int patientIndex,
                                          boolean expandString)
                                   throws PdqConsumerException

  PID-8 Administrative Sex This field contains the patient’s sex. F Female M Male O Other U Unknown A Ambiguous N Not applicable

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `expandString` - - translate string (ex F to Female)
  Returns:
    Administrative Sex (IS)
  Throws:
    `PdqConsumerException`

### getPatientAddressCount

    public int getPatientAddressCount(int patientIndex)

  PID-11 Patient Address The number of patient addresses returned in the query response.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    count of addresses for 1 patient

### getPatientAddress

    public java.lang.String[] getPatientAddress(int patientIndex,
                                                int patientAddressIndex)
                                         throws PdqConsumerException

  PID-11 Patient Address This field contains the mailing addresses of the patient.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Patient Address (XAD) reduced to 10 components & subcomponents String[0] - StreetAddress String[1] - OtherDesignation String[2] - City String[3] - StateOrProvince String[4] - ZipOrPostalCode String[5] - Country String[6] - AddressType String[7] - OtherGeographicDesignation String[8] - CountryParishCode String[9] - Census Tract
  Throws:
    `PdqConsumerException`

### getPatientAddressStreetAddress

    public java.lang.String getPatientAddressStreetAddress(int patientIndex,
                                                           int patientAddressIndex)
                                                    throws PdqConsumerException

  PID-11-1-1 Patient Address - Street Address

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    StreeOrMailingAddress (ST) reduced to 1 component
  Throws:
    `PdqConsumerException`

### getPatientAddressOtherDesignation

    public java.lang.String getPatientAddressOtherDesignation(int patientIndex,
                                                              int patientAddressIndex)
                                                       throws PdqConsumerException

  PID-11-2 Patient Address - Other Designation

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Other Designation (ST)
  Throws:
    `PdqConsumerException`

### getPatientAddressCity

    public java.lang.String getPatientAddressCity(int patientIndex,
                                                  int patientAddressIndex)
                                           throws PdqConsumerException

  PID-11-3 Patient Address - City

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    City (ST)
  Throws:
    `PdqConsumerException`

### getPatientAddressStateOrProvince

    public java.lang.String getPatientAddressStateOrProvince(int patientIndex,
                                                             int patientAddressIndex)
                                                      throws PdqConsumerException

  PID-11-4 Patient Address - State or Province

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    State or Province (ST)
  Throws:
    `PdqConsumerException`

### getPatientAddressZipOrPostalCode

    public java.lang.String getPatientAddressZipOrPostalCode(int patientIndex,
                                                             int patientAddressIndex)
                                                      throws PdqConsumerException

  PID-11-5 Patient Address - Zip or Postal Code

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Zip or Postal Code (ST)
  Throws:
    `PdqConsumerException`

### getPatientAddressCountry

    public java.lang.String getPatientAddressCountry(int patientIndex,
                                                     int patientAddressIndex)
                                              throws PdqConsumerException

  PID-11-6 Patient Address - Country

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Country (ID)
  Throws:
    `PdqConsumerException`

### getPatientAddressType

    public java.lang.String getPatientAddressType(int patientIndex,
                                                  int patientAddressIndex)
                                           throws PdqConsumerException

  PID-11-7 Patient Address - Address Type

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Address Type (ID)
  Throws:
    `PdqConsumerException`

### getPatientAddressOtherGeographicDesignation

    public java.lang.String getPatientAddressOtherGeographicDesignation(int patientIndex,
                                                                        int patientAddressIndex)
                                                                 throws PdqConsumerException

  PID-11-8 Patient Address - Other Geographic Designation

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Other Geographic Designation (ST)
  Throws:
    `PdqConsumerException`

### getPatientAddressCountyParishCode

    public java.lang.String getPatientAddressCountyParishCode(int patientIndex,
                                                              int patientAddressIndex)
                                                       throws PdqConsumerException

  PID-11-9 Patient Address - County Parish Code

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    County Parish Code (IS)
  Throws:
    `PdqConsumerException`

### getPatientAddressCensusTract

    public java.lang.String getPatientAddressCensusTract(int patientIndex,
                                                         int patientAddressIndex)
                                                  throws PdqConsumerException

  PID-11-10 Patient Address - Census Tract

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `patientAddressIndex` - - which address to return (0 to PdqConsumerResponse.getPatientAddressCount()-1)
  Returns:
    Census Tract (IS)
  Throws:
    `PdqConsumerException`

### getPatientPhoneHomeCount

    public int getPatientPhoneHomeCount(int patientIndex)

  PID-13 Home Phone The number of home phone numbers returned in the query response.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    count of numbers for 1 patient

### getPatientPhoneHomeUnformattedTelephoneNumber

    public java.lang.String getPatientPhoneHomeUnformattedTelephoneNumber(int patientIndex,
                                                                          int phoneIndex)
                                                                   throws PdqConsumerException

  PID-13-1 Home Phone This field contains the patient’s personal phone numbers.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `phoneIndex` - - which phone number to return (0 to PdqConsumerResponse.getPatientPhoneHomeCount()-1)
  Returns:
    Phone Number - Home (XTN)
  Throws:
    `PdqConsumerException`

### getPatientPhoneBusinessCount

    public int getPatientPhoneBusinessCount(int patientIndex)

  PID-14 Business Phone The number of business phone numbers returned in the query response.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
  Returns:
    count of numbers for 1 patient

### getPatientPhoneBusinessUnformattedTelephoneNumber

    public java.lang.String getPatientPhoneBusinessUnformattedTelephoneNumber(int patientIndex,
                                                                              int phoneIndex)
                                                                       throws PdqConsumerException

  PID-14-1 Business Phone This field contains the patient’s business telephone numbers.

  Parameters:
    `patientIndex` - - the patient to use (0 to PdqConsumerResponse.getPatientCount()-1)
    `phoneIndex` - - which phone number to return (0 to PdqConsumerResponse.getPatientPhoneBusinessCount()-1)
  Returns:
    Phone Number - Business (XTN)
  Throws:
    `PdqConsumerException`

### getContinuationPointer

    public java.lang.String getContinuationPointer()
                                            throws PdqConsumerException

  DSC-1 Continuation Pointer This field contains the continuation pointer.

  Returns:
    Continuation Pointer (ST)
  Throws:
    `PdqConsumerException`

### getContinuationStyle

    public java.lang.String getContinuationStyle(boolean expandString)
                                          throws PdqConsumerException

  DSC-2 Continuation Style Indicates whether this is a fragmented message, or if it is part of an interactive continuation message. F Fragmentation I Interactive Continuation

  Parameters:
    `expandString` -
  Returns:
    Continuation Style (ID)
  Throws:
    `PdqConsumerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD